{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.virtualbox {

  # Paquets
  environment.systemPackages = with pkgs; [
    linuxPackages.virtualbox
    linuxPackages.virtualboxGuestAdditions
  ];

  # À décommenter pour activer le pack d'extension
  #boot.kernelPackages = pkgs.linuxPackages // {
  #  virtualbox = pkgs.linuxPackages.virtualbox.override {
  #    enableExtensionPack = true;
  #    pulseSupport = true;
  #  };
  #};

  virtualisation.virtualbox.host.enable = true;
}
